// HashCalc.h : PROJECT_NAME 应用程序的主头文件
//

#pragma once

#ifndef __AFXWIN_H__
	#error 在包含用于 PCH 的此文件之前包含“stdafx.h”
#endif

#include "resource.h"		// 主符号


// CHashCalcApp:
// 有关此类的实现，请参阅 HashCalc.cpp
//

class CHashCalcDlg;
class CHashCalcApp : public CWinApp
{
public:
	CHashCalcApp();

// 重写
	public:
	virtual BOOL InitInstance();

// 实现

	DECLARE_MESSAGE_MAP()

public:
	void SetLang(LANGID lid);
	LANGID GetLang() { return m_lid; }

public:
	CMutex			hashing_mut;
	CHashCalcDlg* m_pHashCalcDlg;
	volatile bool	bCancelHashing;
	CStringArray	m_saSourceFiles;
	LANGID m_lid;
};

extern CHashCalcApp theApp;
